@extends('frame') 

@section('title', 'Den | Member Admin')

  @php
    if($mode == 'member-create')
    {
      $action_url = '/den/member/create';
    }else{
      $action_url = '/den/member/edit';
    }
  @endphp
  @section('main-content')
    <section>
      <article>
        @switch($mode)
          @case('member-edit') 
          <h2>Edit Info for {{$member->handle}}</h2>
          @include('forms.member-edit') 
          <br />
          @break

          @case('member-create') 
          <h2>New Member Info</h2>
          @include('forms.member-edit') 
          <br />
          @break

          @default
            <h2>Member Listing </h2>
            @foreach($members as $member)
              <a href="/den/member/{{$member->uuid}}">{{$member->handle}}</a><br />
            @endforeach
            <h2>Add Member </h2>
            <a href="/den/member/edit/create">Make a new friend</a><br />
          @endswitch
      </article>
    </section>
  @endsection